[MENFORCER-312] - Upgrade maven-parent to 33
authorKarl Heinz Marbaise <khmarbaise@apache.org>
Tue, 7 Aug 2018 20:04:30 +0000 (22:04 +0200)
committerKarl Heinz Marbaise <khmarbaise@apache.org>
Sun, 7 Oct 2018 15:34:23 +0000 (17:34 +0200)
maven-enforcer-plugin/pom.xml
pom.xml

index 42581d0..6729d40 100644 (file)
       <plugin>
         <groupId>org.apache.maven.plugins</groupId>
         <artifactId>maven-plugin-plugin</artifactId>
+        <configuration>
+          <skipErrorNoDescriptorsFound>true</skipErrorNoDescriptorsFound>
+        </configuration>
         <executions>
           <execution>
             <id>descriptor-help</id>
               <goals>
                 <goal>validate</goal>
               </goals>
+              <properties>
+                <!-- e.g. ensure that Java7 picks up TLSv1.2 when connecting with Central -->
+                <https.protocols>${https.protocols}</https.protocols>
+              </properties>
             </configuration>
             <executions>
               <execution>
diff --git a/pom.xml b/pom.xml
index 54ae012..ce27fe1 100644 (file)
--- a/pom.xml
+++ b/pom.xml
@@ -23,7 +23,7 @@
   <parent>
     <artifactId>maven-parent</artifactId>
     <groupId>org.apache.maven</groupId>
-    <version>31</version>
+    <version>33</version>
     <relativePath>../pom/maven/pom.xml</relativePath>
   </parent>
   <groupId>org.apache.maven.enforcer</groupId>
@@ -65,7 +65,6 @@
   <properties>
     <maven.version>3.0</maven.version>
     <maven.site.path>enforcer-archives/enforcer-LATEST</maven.site.path>
-       <surefire.version>2.21.0</surefire.version>
   </properties>
 
   <dependencyManagement>